This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 467397 - (mingw32-libpng) Review Request: mingw32-libpng - MinGW Windows Libpng library
Review Request: mingw32-libpng - MinGW Windows Libpng library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On: mingw32-gcc mingw32-zlib
Blocks: mingw32-libjpeg mingw32-cairo mingw32-gtk2
  Show dependency treegraph
 
Reported: 2008-10-17 06:28 EDT by Richard W.M. Jones
Modified: 2013-04-30 19:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-16 18:43:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
atkac: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Adam Tkac 2009-01-12 08:05:49 EST
I will review this package.

current problems:
- the latest version is not packaged (there is 1.2.34 in rawhide)

rpmlint errors:
mingw32-libpng.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libpng12.dll.a
mingw32-libpng.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libpng.dll.a
mingw32-libpng.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libpng12.la
^^^ I don't think we need libtool *la files installed, do we?

Otherwise I don't see any other problem.
Comment 3 Richard W.M. Jones 2009-01-13 05:37:44 EST
We do install *.la files for mingw32 packages because they
are needed for libtool to link.  This is mentioned in the
packaging guidelines:
http://fedoraproject.org/wiki/Packaging/MinGW#Libraries_.28DLLs.29

Here's an updated package:

Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/libpng/mingw32-libpng.spec
SRPM URL: http://koji.fedoraproject.org/koji/getfile?taskID=1049093&name=mingw32-libpng-1.2.34-1.fc11.src.rpm
* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 1.2.34-1
- Rebase to 1.2.34 and patches from Fedora.
- Requires pkgconfig.
- Add documentation.

Here is a Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1049092
Comment 4 Richard W.M. Jones 2009-01-13 05:40:47 EST
I should add about the 'spurious-executable-perm' warning:
libtool / gcc add executable permissions when they generate
these files.  In other words, this is not something that we
are adding, but something that the tools are doing.

It has to be said that we don't really understand why the
tools do this, but at the same time we are loathed to change
any details of the linking process since at the moment it works,
but in the past it has proven quite fragile in that seemingly
insignificant changes have broken things.
Comment 5 Adam Tkac 2009-01-13 09:33:32 EST
(In reply to comment #4)
> I should add about the 'spurious-executable-perm' warning:
> libtool / gcc add executable permissions when they generate
> these files.  In other words, this is not something that we
> are adding, but something that the tools are doing.
> 
> It has to be said that we don't really understand why the
> tools do this, but at the same time we are loathed to change
> any details of the linking process since at the moment it works,
> but in the past it has proven quite fragile in that seemingly
> insignificant changes have broken things.

Well, I don't see any reason to have *dll.a files with executable perms but if it is created automatically leave it as is.

Review:
source files match upstream: YES
package meets naming and versioning guidelines: YES
specfile is properly named, is cleanly written and uses macros consistently: YES
dist tag is present: YES
build root is correct: YES
license field matches the actual license: YES
license is open source-compatible: YES
latest version is being packaged: YES
BuildRequires are proper: YES
compiler flags are appropriate: YES
%clean is present: YES
package builds in mock (Rawhide/x86_64): YES
rpmlint is silent: no, but warnings/errors are ok for mingw* package
final provides and requires look sane: YES
owns the directories it creates: YES
doesn't own any directories it shouldn't: YES
no duplicates in %files: YES
file permissions are appropriate: well, as written in comment #4 it's ok
code, not content: YES

=> reviewed
Comment 6 Richard W.M. Jones 2009-01-13 09:49:11 EST
New Package CVS Request
=======================
Package Name: mingw32-libpng
Short Description: MinGW Windows Libpng library
Owners: rjones berrange lfarkas
Branches: EL-5 F-10
InitialCC:
Comment 7 Kevin Fenzi 2009-01-13 15:32:21 EST
cvs done.
Comment 8 Richard W.M. Jones 2009-01-14 05:11:29 EST
Thanks everyone.   I've built this for EL-5 and Rawhide,
but cannot yet build it for F-10 because I'm waiting for
the mingw32-zlib dependency to work its way into
dist-f10-updates.  I'll leave the bug open until then.
Comment 9 Fedora Update System 2009-01-15 04:33:34 EST
mingw32-libpng-1.2.34-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-libpng-1.2.34-2.fc10
Comment 10 Fedora Update System 2009-01-16 18:43:38 EST
mingw32-libpng-1.2.34-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.